
QGIS Application - Bug report #11015

Style manager crashes when renaming symbol to existing name

2014-08-06 04:51 AM - Jochen Huber

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19355

Description

When trying to rename a symbol in the QGIS symbol manager to a name which already exists, QGIS crashes.

This can easily happen when working in a symbol group and the existing symbol with the same name is in another group or when the

symbols are of a different type.

If a new symbol is created in the symbol manager and the name which is entered already exists, a meaningful error message (name

already exits, replace?) is correctly shown.

Minidump is attached.

Associated revisions

Revision ce95c59b - 2015-01-17 12:30 AM - Jürgen Fischer

style manager: avoid name duplication (fixes #11015)

History

#1 - 2014-10-04 08:42 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

no more crash on qgis master.

#2 - 2014-11-20 02:15 AM - Jochen Huber

- Status changed from Closed to Reopened

- File qgis-20141120-110643-5788-6444-exported.zip added

Hi, thanks for working on this!

Just tried opening the style manager in 2.6.0-1 stable (OSGeo4W, 64bit, Win7 SP1). When trying to rename a style to a name which already exists, no

error is shown and the previous style seems to be replaced by the new one (here an overwrite warning would be helpful). After closing the style manager, I

tried to reopen the style manager, which led to a crash (minidump).

When saving a style in the layer properties dialog and using an existing name, a warning message is shown. After accepting to overwrite the existing style,

QGIS crashes when opening the style manager. So something still seems to become corrupt when overwriting styles.

#3 - 2014-11-20 03:11 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to 2.6.0

- Resolution deleted (fixed/implemented)
- Priority changed from Normal to Severe/Regression

confirmed, and in previous qgis releases did not caused the crash.

#4 - 2015-01-16 03:30 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"ce95c59b2618648bead268de8823179395a2292a".

Files

qgis-20140806-134354-10840-10852-8fdd08a.zip 2.63 MB 2014-08-06 Jochen Huber

qgis-20141120-110643-5788-6444-exported.zip 2.74 MB 2014-11-20 Jochen Huber
